language: cn
model_unique_abbr: Flow_IDW
version: 1.0.0
identification:
  docker_image_name: spark-geoflow:2.0
  model_name: 地理流的IDW插值
  description: 该方法使用现有样本流数据对未知流的属性进行插值。
  category_application: 诊断型
  category_data:
    - 流数据分析
  keywords:
    - 地理流
    - IDW
    - 插值

parameter_info:
  parameters:
    - arg_name: ' '
      is_positional_arg: true
      param_type: param
      visible: false
      name: 算法名称
      description: 算法的名称或者是一个特定的操作指令
      is_required: false
      data_type: str
      specification:
        default: flow-idw
    - arg_name: od_sample
      is_positional_arg: true
      param_type: input_data
      name: 样本流文件
      description: 样本流CSV文件
      data_type: csv
      data_semantic: od_flow
    - arg_name: od_interp
      is_positional_arg: true
      param_type: output_data
      name: 插值结果存储文件夹的路径
      description: 算法的结果将会保存在这个输出数据文件的路径
      data_type: str
      data_semantic: od_interpolation
    - arg_name: od_input
      is_positional_arg: true
      param_type: input_data
      name: 待插值流CSV文件
      description: 包含了待插值流输入数据文件的路径
      data_type: csv
      data_semantic: od_flow
    - arg_name: sample_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 样本流文件中的列索引. 依次输入流的起点经纬度、终点经纬度和属性对应的列索引（从0开始起计）, 采用","分割。
      data_type: str
      data_semantic: sample_index
    - arg_name: input_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 待插值流文件中的列索引. 依次输入流的起点经纬度、终点经纬度和属性对应的列索引（从0开始起计）, 采用","分割。
      data_type: str
      data_semantic: input_index
    - arg_name: i
      is_positional_arg: true
      param_type: param
      name: 权重系数
      description: IDW插值模型中的系数
      data_type: float
      data_semantic: idw_parameter
      specification:
        range:
        - "[0,)"

application:
  domain: 地理流
  objective: 该方法使用现有样本流数据对未知流的属性进行插值。
  link_models:
    preorder: []


operation:
  usage: 使用方法描述
  exec_example:
    - docker run -u 0 $(pwd)/data:/geoflow/data crazy-zlj:spark_geoflow:1.0 flow-idw /data/od_flows.csv /data/gravity_res /data/district_pop_wuhan.csv 1 0,1 0,1,2,3
  output_display:
    - csv文件

technique:
  language: [scala]
  os: [windows, linux]

source:
  maintainer: Xingchen Fan
  organization: "Institute of Geographic Sciences & Natural Resources Research, Chinese Academy of Sciences"
  contact: fanxc@lreis.ac.cn
  references:
    - 参考文献1
